//ESTE PROGRAMA USA EL COMPILADOR CCS. LLEVA LAS DIRECTIVAS
//NECESARIAS PARA FUNCIONAR CON EL SOFTWARE "TINY"
//PUEDE CARGARSE EN LA MEMORIA FLASH DEL 16F88 A TRAVES 
//DEL PUERTO SERIAL CON ESE SOFTWARE. EL 16F88 DEBIO PREVIAMENTE 
//HABER SIDO CARGADO CON EL FIRMWARE BOOTLOADER TINY CON UN 
//PROGRAMADOR ICSP.EL TINY REQUIERE ESTE ENCABEZADO, ANTES
//DE LA FUNCION PRINCIPAL main:
//#rom 0X0000={0X018A,0X2803}
//#built(reset=0x0003)

//PROGRAMA LEE EL CONVERTIDOR ANALOGICO DIGITAL CANAL 3 (RA3), 
//DE UN CIRCUITO CON UN POTENCIOMETRO DE 10K Y 25 VUELTAS, 
//CONECTADO AL PUERTO AUXILIAR "AUX" DEL EVOLUPIC Bootloader 
//16F88. VALOR ANALOGICO DE 0 A 5 VOLTS.LA RESOLUCION ES 10 BITS,
//ESCRIBE EL VALOR BINARIO DE 10 BITS CONVERTIDO A
//DECIMAL ENTRE 0 Y 1023 EN EL LCD.TOMA UNA LECTURA CADA SEG.
//EL ERROR DEL CONVERTIDOR ES MENOR A 1 BIT. SI SE REQUIERE
//MAYOR PRECISION PUEDE OBTENERSE UN PROMEDIO DE 16 LECTURAS. 

#if defined(__PCM__)
#include "16F88ADC.h"
#include "keyADC.h"

#rom 0X0000={0X018A,0X2803}	//DATOS REQUERIDOS POR TINY					
#build(reset=0x0003)

main(void){
char rim[5];
unsigned long int c3;
TRISA=0;
RA0=0;
CICLO:
c3=CANAL3ADC();				//LEE RESULTADO DE CONVERSION
initLCD();
clearLCD();
sprintf(rim,"%lu",c3);
stringLCD(rim);
delay_ms(1000);
GOTO CICLO;
} 